<?php
// $Id: website_screenshot.views.inc,v 1.1.2.1 2009/09/02 17:39:28 uccio Exp $

/**
 * @file
 * Views integration for Website Screenshot module.
 */


/**
* Implementation of hook_views_data()
*/
function website_screenshot_views_data() {

  $data['website_screenshot']['table']['group'] = t('Website Screenshot');
  
  $data['website_screenshot']['table']['base'] = array(
    'field' => 'nid',
    'title' => t('Website Screenshot'),
    'help' => t("Website Screenshot views integration"),
    'weight' => -10,
  );

  $data['website_screenshot']['table']['join'] = array(
    'node' => array(
    'left_field' => 'nid',
    'field' => 'nid',
     ),
   );

  $data['website_screenshot']['nid'] = array(
     'title' => t('Website Screenshot content'),
     'help' => t('Website Screenshot node.'),
     'relationship' => array(
       'base' => 'node',
       'field' => 'nid',
       'handler' => 'views_handler_relationship',
       'label' => t('Website Screenshot node'),
     ),
   );

  $data['website_screenshot']['url'] = array(
     'title' => t('URL field'),
     'help' => t('The site URL field.'),
     'field' => array(
       'handler' => 'views_handler_field_url',
       'click sortable' => TRUE,
     ),
     'sort' => array(
       'handler' => 'views_handler_sort',
     ),
     'filter' => array(
       'handler' => 'views_handler_filter_string',
     ),
     'argument' => array(
       'handler' => 'views_handler_argument_string',
     ),
   );

  $data['website_screenshot']['request_time'] = array(
     'title' => t('Screeshot Request Time'),
     'help' => t('Request Timestamp field.'),
     'field' => array(
       'handler' => 'views_handler_field_date',
       'click sortable' => TRUE,
     ),
     'sort' => array(
       'handler' => 'views_handler_sort_date',
     ),
     'filter' => array(
       'handler' => 'views_handler_filter_date',
     ),
   );
  
  $data['website_screenshot']['file'] = array(
     'title' => t('Screeshot image'),
     'help' => t('Screeshot image'),
     'field' => array(
        'handler' => 'website_screenshot_handler_field_file',
    // 'handler' => 'views_handler_field_url',
       'click sortable' => FALSE,
     ),
     'argument' => array(
       'handler' => 'views_handler_argument_string',
     ),
     
   );



  return $data;

}


/**
 * Implementation of hook_views_handlers().
 */
function website_screenshot_views_handlers() {
  $p =drupal_get_path('module', 'website_screenshot') . '/views';
  watchdog('DEBUG', "Ciao $p", array());

  return array(
    'info' => array(
      'path' => drupal_get_path('module', 'website_screenshot') . '/views',
    ),
    'handlers' => array(
      'website_screenshot_handler_field_file' => array(
        'parent' => 'views_handler_field_node',
      ),
     
    ),
  );
  
}



