<?php
// $Id: website_screenshot_handler_field_file.inc,v 1.1.2.1 2009/09/02 17:39:28 uccio Exp $

/**
 * Field handler to provide simple renderer that turns screenshoot.
 *
 */
class website_screenshot_handler_field_file extends views_handler_field {
  function option_definition() {
    $options = parent::option_definition();

    $options['display_as_link'] = array('default' => FALSE);
    $options['display_as_screenshot'] = array('default' => TRUE);
    return $options;
  }

  /**
   * Provide link to the page being visited.
   */
  function options_form(&$form, &$form_state) {
    parent::options_form($form, $form_state);
    
    $form['display_as_screenshot'] = array(
      '#title' => t('Display as Screenshot Image'),
      '#type' => 'checkbox',
      '#default_value' => !empty($this->options['display_as_screenshot']),
    );
  }

  function render($values) {
    $value = $values->{$this->field_alias};
    if (!empty($this->options['display_as_screenshot'])) {
      $node = node_load($values->nid);
      return theme('website_screenshot_image_display', $node);
    }
    else {
      return $value;
    }
  }
}